## xpaint-2.9.10.3.tar.xz

=== util/Makefile ===
GCC = gcc
CPP = g++ -fpermissive

all: pdfconcat ppmtops pgf2pnm

pdfconcat:
	$(GCC) -O3 -s -DNDEBUG=1 -DNO_CONFIG=1 -ansi -pedantic -Wunused -Wall -W -Wstrict-prototypes -Wtraditional -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wmissing-prototypes -Wmissing-declarations pdfconcat.c -o pdfconcat

ppmtops:
	$(GCC) ppmtops.c -o ppmtops

pgf2pnm: main.cpp pnm.cpp
	@if [ -x /usr/include/libpgf ] ; then \
	$(CPP) -c main.cpp -o main.o -I/usr/include/libpgf ; \
	$(CPP) -c pnm.cpp -o pnm.o -I/usr/include/libpgf ; \
	$(CPP) -o pgf2pnm main.o pnm.o -lpgf ; \
	else \
	@echo "libpgf not installed !!" ; \
	fi

install:
	@if [ -x pdfconcat ] ; then \
	mkdir -p $(DESTDIR)/usr/bin ; \
	install -c pdfconcat $(DESTDIR)/usr/bin ; \
	echo "install -c pdfconcat $(DESTDIR)/usr/bin" ; \
	mkdir -p $(DESTDIR)/usr/share/man/man1 ; \
	install -c -m 644 pdfconcat.1 $(DESTDIR)/usr/share/man/man1 ; \
	echo "install -c pdfconcat.1 $(DESTDIR)/usr/share/man/man1" ; fi
	@if [ -x ppmtops ] ; then \
	mkdir -p $(DESTDIR)/usr/bin ; \
	install -c ppmtops $(DESTDIR)/usr/bin ; \
	echo "install -c ppmtops $(DESTDIR)/usr/bin" ; fi
	@if [ -x pgf2pnm ] ; then \
	mkdir -p $(DESTDIR)/usr/bin ; \
	install -c pgf2pnm $(DESTDIR)/usr/bin ; \
	echo "install -c pgf2pnm $(DESTDIR)/usr/bin" ; fi

clean:
	rm -f core *~ *.o pdfconcat ppmtops pgf2pnm

cleandir: clean

distclean: clean

=== changelog ===
xpaint (2.9.10-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <jean-pierre.demailly@ujf-grenoble.fr>  Sun, 2 Mar 2014 16:37:36 +0200

xpaint (2.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Tue, 14 Sep 2010 23:12:13 +0200

xpaint (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sun, 5 Sep 2010 17:22:13 +0200

xpaint (2.9.1.4-1) unstable; urgency=low

  * New upstream release.
    - debian/ directory removed.
    - Added man pages for imgmerge and pngconcat (provided by Debian
      maintainer).
  * debian/rules
    - Unnecessary export removed.
    - Use of dh_auto_configure script plus xaw3dxft.so option.
    - mkdir app-defaults/out added to avoid problems with git.
  * debian/patches/imgmerge-c-interface-fix.diff dropped,
    merged upstream.
  * debian/patches/Local.config.diff updated.
  * debian/patches/imgmerge-sensible-editor.diff updated.
  * debian/patches/xpaint_ocr_upstreamer.diff dropped,
    merged upstream.
  * debian/patches/xpaint.man.in.diff droped, merged upstream.
  * decian/control
    - Standards-Version increased to 3.9.0, no changes needed.
    - Vcs-Git and VCs-Browser fields added.
  * debian/libxaw3dxft6.symbols added.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Fri, 09 Jul 2010 02:22:13 -0600

xpaint (2.8.13-2) unstable; urgency=low

  * debian/rules override dh_auto_configure to avoid inappropriate
    parameters and build using the Xaw3dg library instead of pain Xaw
  * Build dependen on version >= 7.0.50~ of debhelper because debhelper
    overrides need it

 -- Josue Abarca <jmaslibre@debian.org.gt>  Wed, 07 Jul 2010 10:10:25 -0600

xpaint (2.8.13-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules switch to dh 7
  * Local.config.diff patch to use sensible-editor instead of emacs
    and fix RPATH issue
  * imgmerge.diff patch to use sensible-editor instead of emacs
  * xpaint.man.in.diff patch to fix a typo and an hyphen used as minus
    sign
  * debian/clean added, to delete Local.xawdefs and xpaint.man
    because this two files are generated at build time
  * xpaint.man added to debian/xpaint.manpages to proper installation
  * debian/watch updated, thanks to Raphael Geissert (closes: bug#449708)
  * debian/menu section changed from Apps to Applications.
  * debian/pdfconcat.1 manpage added
  * debian/imgmerge.1 manpage added
  * debian/copyright updated
  * debian/package.install added to install xpaint.desktop and
    xpaint.svg icon (closes: bug#478994)
  * debian/control
    - Suggests gv instead gs-pl (closes: bug#539658)
    - Suggests imagemagick added
    - Suggests ocrad added
    - Build depends on xutils-dev instead of xutils thanks to Cyril
      Brulebois (closes: bug#485723)
    - Homepage field added and url removed from description.
    - now depends on ${misc:Depends}
    - updated policy to 3.8.4 (no changes needed).
  
 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 21 Jan 2010 10:34:55 -0600

xpaint (2.8.8-1) unstable; urgency=low

  * New upstream release
  * New Maintainer Thanks to Hugo Vanwoerkom for his previous work
    (closes: bug#560990)
  * debian/lintian-overrides deleted. Lintian warning fixed

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 19 Jan 2010 13:20:31 -0600

xpaint (2.7.8.1-1.2) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD (closes: bug#332999).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 23:06:51 +0100

xpaint (2.7.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload during bug-squashing party.
  * Local.config: adjust paths after the X migration (Closes: #364080).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Sun, 23 Apr 2006 09:36:04 -0300

xpaint (2.7.8.1-1) unstable; urgency=low

  * New upstream release
    - incorporates debian/ directory
    - also incorporates previous manpage patch
    - as well as incorporates previous errno patch
    - compiler options changed (Closes: #327105)
  * debian/rules was changed
    - get the lintian overrides in the .deb
  * debian/watch was changed with another URL
  * configure script was changed to eliminate warning that
    the xaw3dg library was incompletely installed
  * Suggests: gs changed to gs-gpl
  * Standards Version changed to 3.6.2
  * Free Software Foundation address corrected in copyright

 -- Hugo Vanwoerkom <hugovanwoerkom@yahoo.com>  Wed, 14 Sep 2005 08:23:01 -0500

xpaint (2.7.6-1) unstable; urgency=low

  * New upstream release
  * No debian/README.Debian: default recommended widget set is now Xaw3d
  * debian/control: build-depend on xaw3dg-dev
  * debian/rules: changed make to use xaw3dg instead of xaw

 -- Hugo Vanwoerkom <hugovanwoerkom@yahoo.com>  Thu, 31 Mar 2005 06:50:41 -0600

xpaint (2.7.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #268910)
  * New upstream release (Closes: #197934)
    + incorporates patches from previous .diff.gz, thus dropping those,
      except for the errno patch from Goswin
    + added patch for manpage section
  * debian/README.Debian: rewritten, explaining why not using the included
    Xaw95 widgets but the default (ugly) Xaw Athena widgets
  * debian/{conffiles,dirs}: dropped, not needed
  * debian/control:
    + updated Standards-Version
    + no more Suggests: on eeyes as that package doesn't exist anymore
    + added Suggests: on gs for PS/PDF reading and on lpr for printing
    + new description, added upstream homepage
    + added soft dependency of C Script Editor->file->External editor on
      x-terminal-emulator -e sensible-editor
    + redid Build-Depends
  * debian/copyright: extended to reflect upstream changes, updated
  * debian/menu: longtitle and binary path adjusted
  * debian/rules:
    + DH_COMPAT -> debian/compat, raised to 4


=== control ===
Source: xpaint
Section: graphics
Priority: optional
Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
Build-Depends: debhelper (>= 7.0.50~), libxaw3dxft-dev, libjpeg8-dev, 
 libxpm-dev, libtiff4-dev | libtiff5-dev, libpng12-dev, libopenjpeg-dev,
 xutils-dev, libxft-dev, bison, flex (>= 2.5.31-16),
 libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev, libx11-dev,
 x11proto-core-dev, x11proto-xext-dev,
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/collab-maint/xpaint.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpaint.git
Homepage: https://sourceforge.net/projects/sf-xpaint/

Package: xpaint
Architecture: any
Depends: libxaw3dxft (>=1.6.2), libxpm4, libpng12-0, libtiff4 | libtiff5, 
 libjpeg8, libopenjpeg-dev, zlib1g, libx11-6, libxext6, libfreetype6,
 libfontconfig1
Suggests: gv, netpbm, lpr, x-terminal-emulator, editor, imagemagickb, ocrad
Description: simple paint program for X
 XPaint is suitable for producing simple graphics. It does offer some
 advanced features such as image processing functions and gradient
 fill.
 .
 In the C Script Editor of XPaint, the External editor in the File menu
 will invoke x-terminal-emulator -e sensible-editor.
 .
 The gv package will be needed for PDF/PS reading, netpbm will be needed
 for external conversion, lpr for printing.

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBSOURCE=Xaw3dxft

%:
	dh  $@

override_dh_auto_configure:
	#Added to avoid problems with git
	#(git does not index empty directories)
	-/bin/mkdir $(CURDIR)/app-defaults/out
	#./configure --prefix=/usr
	# Use old Imake system instead !!!
	./configure.old
override_dh_auto_install:
	$(MAKE) install \
                DESTDIR=$(CURDIR)/debian/tmp INCDIR=/usr/include
